<?= $this->render('profile/tabs-actions/top-bar.phtml') ?>

<? if ( 'update' == $this->mode): ?>
	<?= $this->render('profile/tabs-actions/tabs-update.phtml') ?>
<? else: ?>
	<?= $this->render('profile/tabs-actions/tabs-create.phtml') ?>
<? endif; ?>


<? if ( isset($this->newPhoto) ) $this->newPhoto = $this->newPhoto->getData() + array('id' => $this->newPhoto->id); $public_count = $private_count = 0; $photos = isset($this->newPhoto) ? array_merge($this->photos, array($this->newPhoto)) : $this->photos; foreach ( $photos as $i => $photo ) {
	if ( $photo['type'] == 3 ) $private_count++; else $public_count++;
} ?>

<div class="escort-popup-body gallery-tab photo-gallery-tab">
	<div class="gallery-tab-inner">

	<input value="<?= $_COOKIE['PHPSESSID'] ?>" type="hidden" id="sess_name" />
	<input value="<?= $this->escort_id ?>" type="hidden" id="escort_id" />
	<input value="<?= $this->cur_gallery_id ?>" type="hidden" id="gallery-id" />
	
	<div class="rename-gallery-popup popup none">
		<p>Change Gallery Name </p>
		<input id="gallery-name-f" type="text" name="gallery_name"/>
		<span class="ok"> OK </span>
		<span class="cancel"><?= __('cancel') ?></span>
	</div>


	<div class="section">
		<div class="gallery-tabs">
			<p class="block-title fleft an"><?= __('pv2_title_public_photos', array('SHOWNAME' => $this->escort->showname)) ?></p>
			<span class="photo-gallery"></span>
			<a href="<?= $this->getLink('private-v2-profile') ?>?step=gallery&video_upload=1&escort=<?= $this->escort->id ?>" class="video-gallery p"></a>
			<a href="<?= $this->getLink('private-v2-profile') ?>?step=gallery&natural_pic=1&escort=<?= $this->escort->id ?>" class="natural-pic p"></a>
			
			<div class="clear"></div>
		</div>	
		<div class="sep"></div>
		
		<ul id="gallery-tabs">
			
			<? foreach($this->galleries as $key => $gallery):?>
			<li class=" <?= ( $this->cur_gallery_id == $gallery['fake_id']) ? 'active' : '' ?>  <?= $key == 2 ? 'mr0' : '' ?> ">
				<a class="tab" href="<?= $this->getLink("private-v2-profile" , array('step' => 'gallery', 'gallery_id' => $gallery['fake_id'], 'escort'=> $this->escort_id) ) ?>"><?= $gallery['title'] ?></a>
				<a class="rename-gallery" href="<?= $this->getLink("private-v2-photos", array('a' => 'rename', 'gallery_id' => $gallery['id'], 'escort'=> $this->escort_id)) ?>" ></a>
			</li>
			<? endforeach; ?>

			<div class="clear"></div>
		</ul>
		
		<p class="photo-block-title an"><?= __('pv2_text_public_photos', array('MIN_PHOTOS' => Cubix_Application::getById()->min_photos)) ?></p>

		<div class="container ml20">

			<div class="photos public">
				<form id="form-public" action="<?= $this->getLink('private-v2-photos') ?>?a=upload<?= $this->user->isAgency() ? '&escort=' . $this->escort->getId() : '' ?>" method="post" enctype="multipart/form-data" onsubmit="Navigation.overlay.disable()">
					<div id="filecontrol" class="half"></div>
					<div class="clear"></div>	
					<? if ( isset($this->uploadError) && ! $this->is_private ): ?><div class="up-error"><?= $this->uploadError ?></div><? endif; ?>

					<input type="hidden" name="is_private" value="0" />

					<div>
						<ul class="public-photos-list">
							<? if ( $public_count ): ?>
							<? foreach ( $this->photos as $photo ): if ( $photo['type'] == 3 ) continue; $photo = new Model_Escort_PhotoItem($photo) ?>
								<li<?= $photo->is_main ? ' class="main"' : '' ?>>
									<? if ( $photo->type == 1 ): ?><span class="hard"></span><? endif ?>
									<div class="wrapper" cubix:photo-id="<?= $photo->getId() ?>" cubix:initial="<?= $photo->args ? htmlentities(json_encode(unserialize($photo->args))) : '' ?>">
										<? if ( $photo->type == 4 ): ?>
											<div class="disabled">
												<div class="content">
													<p style="font-size: 15px; padding: 0 9px 20px;"><?= __('disabled_pic_text_top') ?></p>
													<p style="padding:0"> <?= __('disabled_pic_text_bottom') ?></p>
												</div>
											</div>
										<? endif; ?>
										<img alt="" src="<?= $photo->getUrl('thumb_cropper_ed', true) ?>" />
										<div class="p-actions">
											<span class="move"></span>
											<span class="check"><input type="checkbox" name="photo_id" value="<?= $photo->id ?>" /></span>
										</div>
										<? if (! $photo->is_approved): ?>
											<div class="not_approved"><?= __('p_not_approved') ?></div>
										<? endif; ?>
									</div>
								</li>
							<? endforeach; ?>
							<? endif ?>
						</ul>
						<div class="clear"></div>

						<? if ( ! $public_count ): ?>
							<div class="an no-photos">You haven't set any public photos yet</div>
						<? endif ?>
					</div>
										
					<div class="photo-actions">
						<a class="set-main"></a>
						<a class="remove"></a>
					</div>

					<div style="margin-top:20px">
						<div class="photo-move-info"><?= __('photo_move_info') ?></div>
						<img src="<?= _st('photo_move.png') ?>" class="fleft" />
						<div class="clear"></div>
					</div>
					
					<? /*
					<? if ( $public_count ): ?>
						<? if ( isset($this->actionError) && ! $this->is_private ): ?><div class="up-error"><?= $this->actionError ?></div><? endif; ?>
						<button type="submit" name="a" value="set-main"><img src="<?= _st('_/btn_set-main-small.gif') ?>" alt="Set Main" /></button>
						<button type="submit" name="a" value="make-private"><img src="<?= _st('_/btn_make-private-small.gif') ?>" alt="Private" /></button>
						<button type="submit" name="a" value="delete"><img src="<?= _st('_/btn_remove-small.gif') ?>" alt="Remove" /></button>
					<? endif ?>*/ ?>
				</form>
			</div><!-- photos -->
		</div><!-- container -->
	</div><!-- section -->

<? /*
	<div class="section">
		<p class="block-title an"><?= __('pv2_title_private_photos', array('SHOWNAME' => $this->escort->showname)) ?></p>
		<div class="sep"></div>
		<p class="photo-block-title an"><?= __('pv2_text_private_photos', array('APP_TITLE' => Cubix_Application::getById()->title)) ?></p>

		<div class="container ml20">

			<div class="photos private">
				<form id="form-private" action="<?= $this->getLink('private-v2-photos') ?><?= $this->user->isAgency() ? '?escort=' . $this->escort->getId() : '' ?>" method="post" enctype="multipart/form-data" onsubmit="Navigation.overlay.disable()">

					<div>
						<div class="status hide">
							<p>
								<a href="#" class="browse"></a>
								<a href="#" class="clear-list"><?= __('pv2_up_clear_list') ?></a>
								<a href="#" class="upload"></a>
							</p>
							<div class="progress-bar">
								<span class="overall-title strong"></span><br />
								<img src="<?= _st('fancy/progress-bar/bar.gif') ?>" class="progress overall-progress" />
							</div>
							<div class="current-progress-bar">
								<span class="current-title strong"></span><br />
								<img src="<?= _st('fancy/progress-bar/bar.gif') ?>" class="progress current-progress" />
							</div>
							<div class="current-text"></div>

							<ul class="list"></ul>
							<div class="clear"></div>
						</div>
					</div>

					<? if ( isset($this->uploadError) && $this->is_private ): ?><div class="up-error"><?= $this->uploadError ?></div><? endif; ?>
					<input type="hidden" name="is_private" value="1" />

					<div style="padding: 20px 0 ">

							<ul class="private-photos-list">
								<? if ( $private_count ): ?>
								<? foreach ( $this->photos as $photo ): if ( $photo['type'] != 3 ) continue; $photo = new Model_Escort_PhotoItem($photo) ?>
									<li<?= $photo->is_main ? ' class="main"' : '' ?>>
										<div class="wrapper" cubix:photo-id="<?= $photo->getId() ?>" cubix:initial="<?= $photo->args ? htmlentities(json_encode(unserialize($photo->args))) : '' ?>">
											<? if ( $photo->type == 4 ): ?>
												<div class="disabled">
													<div class="content">
														<p style="font-size: 15px; padding: 0 9px 20px;"><?= __('disabled_pic_text_top') ?></p>
														<p style="padding:0"> <?= __('disabled_pic_text_bottom') ?></p>
													</div>
												</div>
											<? endif; ?>
											<img alt="" src="<?= $photo->getUrl('thumb_cropper', true) ?>" />
											<div class="p-actions">
												<span class="move"></span>
												<span class="check"><input type="checkbox" name="photo_id[]" value="<?= $photo->id ?>" /></span>
											</div>
											<? if (! $photo->is_approved): ?>
												<div class="not_approved"><?= __('p_not_approved') ?></div>
											<? endif; ?>
										</div>
									</li>
								<? endforeach; ?>
								<? endif ?>
							</ul>
							<div class="clear"></div>
						<? if ( ! $private_count ): ?>
							<div class="an" style="font-size: 18px; font-weight: bold; text-align: center; padding: 10px 0">You haven't set any private photos yet</div>
						<? endif ?>
					</div>

					<? if ( $private_count ): ?>
						<? if ( isset($this->actionError) && $this->is_private ): ?><div class="up-error"><?= $this->actionError ?></div><? endif; ?>
						<button type="submit" name="a" value="make-public"><img src="<?= _st('_/btn_make-public-small.gif') ?>" alt="Public" /></button>
						<button type="submit" name="a" value="delete"><img src="<?= _st('_/btn_remove-small.gif') ?>" alt="Remove" /></button>
					<? endif ?>
				</form>
			</div><!-- photos private -->
		</div><!-- container -->
	</div><!-- section -->*/ ?>
	<div class="clear"></div>
	</div>
</div>


<? if ( 'update' == $this->mode): ?>
	<?= $this->render('profile/tabs-actions/actions-update.phtml') ?>
<? else: ?>
	<?= $this->render('profile/tabs-actions/actions-create.phtml') ?>
<? endif; ?>